# $Revision: 1.9 $, $Date: 2010/10/11 12:49:04 $
%include	/usr/lib/rpm/macros.php
%define		_status		beta
%define		_pearname	Structures_DataGrid_DataSource_PDO
%define		subver	dev1
%define		rel		1
Summary:	%{_pearname} - DataSource driver using PHP Data Objects (PDO) and an SQL query
Summary(pl.UTF-8):	%{_pearname} - sterownik DataSource korzystający z PHP Data Objects (PDO) i zapytań SQL
Name:		php-pear-%{_pearname}
Version:	0.1.1
Release:	0.%{subver}.%{rel}
License:	New BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}%{subver}.tgz
# Source0-md5:	b61246f5944312afe7ca244a2fa70705
URL:		http://pear.php.net/package/Structures_DataGrid_DataSource_PDO/
BuildRequires:	php-pear-PEAR >= 1:1.6.0
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-Structures_DataGrid >= 0.8.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a DataSource driver for Structures_DataGrid using PHP Data
Objects (PDO) and an SQL query.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pakiet ten dostarcza sterownik DataSource korzystający z obiektów
danych PHP (PDO, czyli PHP Data Objects) i zapytań języka SQL.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Structures/DataGrid/DataSource/PDO.php

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Structures_DataGrid_DataSource_PDO.spec,v $
Revision 1.9  2010/10/11 12:49:04  glen
- up to 0.1.1-dev1

Revision 1.8  2010/08/22 08:51:36  glen
- ensure rpmbuild macros present

Revision 1.7  2010/08/21 19:09:14  glen
- updated deps with pearize.sh
- release 4

Revision 1.6  2008/05/24 08:41:57  adamg
- release 3 (updated PEAR deps)

Revision 1.5  2008-05-24 07:56:52  adamg
- PEAR/PEAR-core packages are not directly required

Revision 1.4  2008-04-12 21:19:03  qboosh
- pl fix

Revision 1.3  2008-01-31 12:16:10  glen
- rel 2

Revision 1.2  2007-12-23 00:11:11  adamg
- release 1

Revision 1.1  2007-12-23 00:09:46  adamg
- new
